# ChangeType

enum ChangeType

The type of change for e.g. an input file.

#### Since

5.4

## Entries

ADDED
Link copied to clipboard
ADDED
MODIFIED
Link copied to clipboard
MODIFIED
REMOVED
Link copied to clipboard
REMOVED

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ChangeType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ChangeType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.